package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.PraAnestesiDokterBedahHeader;
import com.jasamedika.medifirst2000.entities.PraAnestesiPasienHeader;
import com.jasamedika.medifirst2000.helper.Caption;

public class PraAnestesiDokterBedahVO extends BaseTransactionVO {
	
	@ManyToOne
	@JoinColumn(name = "ObjectPraAnestesiDokterHeaderFk")
	private PraAnestesiDokterBedahHeaderVO praAnestesiDokterBedahHeader;
	
	@ManyToOne
	@Caption("PraAnestesi Master")
	@JoinColumn(name="PraAnestesiFk")
	private PraAnestesiVO praAnestesiDokter;

	private Integer yesNo;
	private String keterangan;
	private String ketTambahan;

	public PraAnestesiVO getPraAnestesiDokter() {
		return praAnestesiDokter;
	}
	public void setPraAnestesiDokter(PraAnestesiVO praAnestesiDokter) {
		this.praAnestesiDokter = praAnestesiDokter;
	}
	
	public Integer getYesNo() {
		return yesNo;
	}
	public void setYesNo(Integer yesNo) {
		this.yesNo = yesNo;
	}
	public String getKeterangan() {
		return keterangan;
	}
	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}
	public String getKetTambahan() {
		return ketTambahan;
	}
	public void setKetTambahan(String ketTambahan) {
		this.ketTambahan = ketTambahan;
	}
	public PraAnestesiDokterBedahHeaderVO getPraAnestesiDokterBedahHeader() {
		return praAnestesiDokterBedahHeader;
	}
	public void setPraAnestesiDokterBedahHeader(PraAnestesiDokterBedahHeaderVO praAnestesiDokterBedahHeader) {
		this.praAnestesiDokterBedahHeader = praAnestesiDokterBedahHeader;
	}
	
}
